Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.internet2.middleware.shibboleth.idp.session.impl
Class ServiceInformationImpl

    java.lang.Object
      edu.internet2.middleware.shibboleth.idp.session.impl.ServiceInformationImpl

All Implemented Interfaces:
  ServiceInformation, Serializable

    public class ServiceInformationImpl

extends Object
implements ServiceInformation

Information about a service a user has logged in to.

See Also:
  Serialized Form

Constructor Summary
`ServiceInformationImpl(String id, org.joda.time.DateTime loginInstant, AuthenticationMethodInformation method)` Default constructor.

Method Summary
`boolean` | `equals(Object obj)`
`AuthenticationMethodInformation` | `getAuthenticationMethod()` Gets the authentication method used to log into the service.
`String` | `getEntityID()` Gets the unique identifier for the service.
`org.joda.time.DateTime` | `getLoginInstant()` Gets the time the user logged in to the service.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInformationImpl

    public ServiceInformationImpl(String id,
                                  org.joda.time.DateTime loginInstant,
                                  AuthenticationMethodInformation method)

  Default constructor.

  Parameters:
    `id` - unique identifier for the service.
    `loginInstant` - time the user logged in to the service.
    `method` - authentication method used to log into the service.

Method Detail

### getEntityID

    public String getEntityID()

  Gets the unique identifier for the service.

  Specified by:
    `getEntityID` in interface `ServiceInformation`
  Returns:
    unique identifier for the service

### getLoginInstant

    public org.joda.time.DateTime getLoginInstant()

  Gets the time the user logged in to the service.

  Specified by:
    `getLoginInstant` in interface `ServiceInformation`
  Returns:
    time the user logged in to the service

### getAuthenticationMethod

    public AuthenticationMethodInformation getAuthenticationMethod()

  Gets the authentication method used to log into the service.

  Specified by:
    `getAuthenticationMethod` in interface `ServiceInformation`
  Returns:
    authentication method used to log into the service

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2008 Internet2. All Rights Reserved.